/*
  lt-LT.h - localization for Lithuanian - Lithuanian for Tasmota

  Copyright (C) 2021  Theo Arends

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _LANGUAGE_LT_LT_H_
#define _LANGUAGE_LT_LT_H_

/*************************** ATTENTION *******************************\
 *
 * Due to memory constraints only UTF-8 is supported.
 * To save code space keep text as short as possible.
 * Time and Date provided by SDK can not be localized (yet).
 * Use online command StateText to translate ON, OFF, HOLD and TOGGLE.
 * Use online command Prefix to translate cmnd, stat and tele.
 *
 * Updated until v14.4.1 - Last update 09.02.2024
\*********************************************************************/

//#define LANGUAGE_MODULE_NAME         // Enable to display "Module Generic" (ie Spanish), Disable to display "Generic Module" (ie English)

#define LANGUAGE_LCID 1063
// HTML (ISO 639-1) Language Code
#define D_HTML_LANGUAGE "lt"

// "2017-03-07T11:08:02" - ISO8601:2004
#define D_YEAR_MONTH_SEPARATOR "-"
#define D_MONTH_DAY_SEPARATOR "-"
#define D_DATE_TIME_SEPARATOR "T"
#define D_HOUR_MINUTE_SEPARATOR ":"
#define D_MINUTE_SECOND_SEPARATOR ":"

#define D_DAY3LIST "SekPirAntTreKetPenŠeŠe"
#define D_MONTH3LIST "SauVasKovBalGegBirLieRugRgsSpaLapGru"

// Non JSON decimal separator
#define D_DECIMAL_SEPARATOR "."

// Common
#define D_ABSOLUTE_HUMIDITY "Absoliuti drėgmė"
#define D_ADMIN "Administratoriaus"
#define D_AIR_QUALITY "Oro kokybė"
#define D_AP "AP"                    // Access Point
#define D_AS "kaip"
#define D_AT "prie"
#define D_AUTO "AUTOMATINĖ"
#define D_BATTERY "Baterija"
#define D_BATT "Baterija"             // Short for Battery
#define D_BATTERY_CHARGE "Įkrova"    // Battery charge in %
#define D_BLINK "Mirksėti"
#define D_BLINKOFF "Mirksėjimas išjungtas"
#define D_BOOT_COUNT "Pakrovimų skaičius"
#define D_BRIGHTLIGHT "Šviesus"
#define D_BSSID "BSSId"
#define D_BUTTON "Mygtukas"
#define D_BY "autorius"
#define D_BYTES "Bytes"
#define D_CELSIUS "Celsijus"
#define D_CHANNEL "Kanalas"
#define D_CO2 "Anglies dioksidas"
#define D_CODE "kodas"                // Button code
#define D_COLDLIGHT "Šalta"
#define D_COMMAND "Komanda"
#define D_CONNECTED "Prisijungta"
#define D_CORS_DOMAIN "CORS Domenas"
#define D_COLOR "Spalva"
#define D_COUNT "Skaičius"
#define D_COUNTER "Skaitiklis"
#define D_CT_POWER "CT Galia"
#define D_CURRENT "Srovė"            // As in Voltage and Current
#define D_CURRENT_NEUTRAL "Neutralios linijos srovė"
#define D_DATA "Duomenys"
#define D_DARKLIGHT "Tamsu"
#define D_DEBUG "Derinimas"
#define D_DEWPOINT "Rasos taškas"
#define D_DISABLED "Išjungta"
#define D_DISTANCE "Atstumas"
#define D_DNS_SERVER "DNS Serveris"
#define D_DO "Ištirpęs deguonis"
#define D_DONE "Atlikta"
#define D_DST_TIME "DST"
#define D_EC "EC"
#define D_ECO2 "eCO₂"
#define D_EMULATION "Emuliacija"
#define D_ENABLED "Įjungta"
#define D_ERASE "Ištrinti"
#define D_ERROR "Klaida"
#define D_FAHRENHEIT "Fahrenheit"
#define D_FAILED "Nepavyko"
#define D_FALLBACK "Atsarginis režimas"
#define D_FALLBACK_TOPIC "Atsarginė tema"
#define D_FALSE "Išjungta"
#define D_FILE "Failas"
#define D_FILE_SYSTEM_SIZE "Failų sistemos dydis"
#define D_FLOW_RATE "Srauto greitis"
#define D_FRAGMENTATION "frag."      // Lower case abbreviated version of fragmentation used in "memory fragmentation"
#define D_FRAME_RATE "Kadrų dažnis"
#define D_FREE_MEMORY "Laisva atmintis"
#define D_PSR_MAX_MEMORY "PS-RAM atmintis"
#define D_PSR_FREE_MEMORY "Laisva PS-RAM atmintis"
#define D_FREQUENCY "Dažnis"
#define D_GAS "Dujos"
#define D_GATEWAY "Tinklo vartai"
#define D_GROUP "Grupė"
#define D_HOST "Serveris"
#define D_HALL_EFFECT "Holo efektas"
#define D_HEATINDEX "Karščio indeksas"
#define D_HOSTNAME "Mazgo pavadinimas"
#define D_HUMIDITY "Drėgmė"
#define D_ILLUMINANCE "Apšvietimas"
#define D_IMMEDIATE "nedelsiant"      // Mygtuko veikimas nedelsiant
#define D_INDEX "Indeksas"
#define D_INFO "Informacija"
#define D_INFRARED "Infraraudonieji spinduliai"
#define D_INITIALIZED "Inicializuota"
#define D_IP_ADDRESS "IP adresas"
#define D_LIGHT "Šviesa"
#define D_LWT "LWT"                   // Palikti taip pat, nes susiję su MQTT Last Will and Testament
#define D_LQI "LQI"                   // Zigbee ryšio kokybės indeksas
#define D_MODULE "Modulis"
#define D_MOISTURE "Drėgmės lygis"
#define D_MQTT "MQTT"
#define D_MULTI_PRESS "kelių paspaudimų funkcija"
#define D_NOISE "Triukšmas"
#define D_NONE "Nėra"
#define D_NOX "NOx"
#define D_O2 "Deguonis"
#define D_OFF "Išjungta"
#define D_OFFLINE "Neprisijungęs"
#define D_OK "Gerai"
#define D_ON "Įjungta"
#define D_ONLINE "Prisijungęs"
#define D_ORP "ORP"
#define D_PASSWORD "Slaptažodis"
#define D_PH "pH"
#define D_MQ "MQ"
#define D_PARTITION "Partition"      // As in flash and firmware partition
#define D_PORT "Prievadas"
#define D_POWER_FACTOR "Galios koeficientas"
#define D_POWERUSAGE "Energijos suvartojimas"
#define D_POWERUSAGE_ACTIVE "Aktyvioji galia"
#define D_POWERUSAGE_ACTIVE_TOTAL "Bendra aktyvioji galia"
#define D_POWERUSAGE_APPARENT "Tikroji galia"
#define D_POWERUSAGE_REACTIVE "Reaktyvioji galia"
#define D_PRESSURE "Slėgis"
#define D_PRESSUREATSEALEVEL "Slėgis jūros lygyje"
#define D_PROGRAM_FLASH_SIZE "Programos Flash dydis"
#define D_PROGRAM_SIZE "Programos dydis"
#define D_PROJECT "Projektas"
#define D_RAIN "Lietus"
#define D_RANGE "Diapazonas"
#define D_RECEIVED "Gauta"
#define D_RESTART "Paleisti iš naujo"
#define D_RESTARTING "Paleidžiama iš naujo"
#define D_RESTART_REASON "Perkrovimo priežastis"
#define D_RETAINED "išlaikyta"
#define D_RULE "Taisyklė"
#define D_SAVE "Išsaugoti"
#define D_SENSOR "Jutiklis"
#define D_SSID "SSId"
#define D_START "Pradėti"
#define D_STD_TIME "Standartinis laikas"
#define D_STOP "Stabdyti"
#define D_SUBNET_MASK "Potinklio kaukė"
#define D_SUBSCRIBE_TO "Prenumeruoti"
#define D_UNSUBSCRIBE_FROM "Atsisakyti prenumeratos"
#define D_SUCCESSFUL "Sėkmingai"
#define D_SUNRISE "Saulėtekis"
#define D_SUNSET "Saulėlydis"
#define D_TEMPERATURE "Temperatūra"
#define D_TO "į"
#define D_TOGGLE "Perjungti"
#define D_TOPIC "Topic"
#define D_TOTAL_USAGE "Bendras naudojimas"
#define D_TRANSMIT "Siųsti"
#define D_TRUE "Įjungta"
#define D_TVOC "TVOC"
#define D_TWILIGHT_ASTRONOMICAL "Astronominis"
#define D_TWILIGHT_CIVIL "Pilietinis"
#define D_TWILIGHT_NAUTICAL "Jūrinis"
#define D_UPLOAD "Įkelti"
#define D_UPTIME "Veikimo laikas"
#define D_USED "naudota"
#define D_USER "Naudotojas"
#define D_UTC_TIME "UTC"
#define D_UV_INDEX "UV Indeksas"
#define D_UV_INDEX_1 "Žemas"
#define D_UV_INDEX_2 "Vidutinis"
#define D_UV_INDEX_3 "Aukštas"
#define D_UV_INDEX_4 "Pavojingas"
#define D_UV_INDEX_5 "BurnL1/2"
#define D_UV_INDEX_6 "BurnL3"
#define D_UV_INDEX_7 "Už ribų"        // Out of Range
#define D_UV_LEVEL "UV Lygis"
#define D_UV_POWER "UV Galia"
#define D_VERSION "Versija"
#define D_VOC "VOC"
#define D_VOLTAGE "Įtampa"
#define D_VOLUME "Tūris"
#define D_WEIGHT "Svoris"
#define D_WARMLIGHT "Šilta"
#define D_WEB_SERVER "Web serveris"
#define D_SOC "Įkrovos būsena"
#define D_SOH "State of Health"
#define D_WATER_DEPTH "Vandens gylis"

// tasmota.ino
#define D_WARNING_MINIMAL_VERSION "ĮSPĖJIMAS: Ši versija nepalaiko nuolatinių nustatymų"
#define D_LEVEL_10 "lygis 1-0"
#define D_LEVEL_01 "lygis 0-1"
#define D_SERIAL_LOGGING_DISABLED "Serijinis logging išjungtas"
#define D_SYSLOG_LOGGING_REENABLED "„Syslog“ logging vėl įjungtas"

#define D_SET_BAUDRATE_TO "Nustatyti duomenų perdavimo spartą į"
#define D_RECEIVED_TOPIC "Gauta topic"
#define D_DATA_SIZE "Duomenų dydis"
#define D_ANALOG_INPUT "Analoginis"

// support.ino
#define D_OSWATCH "osWatch"
#define D_BLOCKED_LOOP "Blocked Loop"
#define D_WPS_FAILED_WITH_STATUS "WPSconfig NEPAVYKO, būsena"
#define D_ACTIVE_FOR_3_MINUTES "aktyvus 3 minutes"
#define D_FAILED_TO_START "nepavyko paleisti"
#define D_PATCH_ISSUE_2186 "Pataisyta problema 2186"
#define D_CONNECTING_TO_AP "Jungiamasi prie prieigos taško (AP)"
#define D_IN_MODE "režime"
#define D_CONNECT_FAILED_NO_IP_ADDRESS "Prisijungimas nepavyko – negautas IP adresas"
#define D_CONNECT_FAILED_AP_NOT_REACHED "Prisijungimas nepavyko – nepavyko pasiekti AP"
#define D_CONNECT_FAILED_WRONG_PASSWORD "Prisijungimas nepavyko – neteisingas slaptažodis"
#define D_CONNECT_FAILED_AP_TIMEOUT "Prisijungimas nepavyko – AP atsako laikas baigėsi"
#define D_ATTEMPTING_CONNECTION "Bandoma prisijungti..."
#define D_CHECKING_CONNECTION "Tikrinamas ryšys..."
#define D_QUERY_DONE "Užklausa baigta. Rasti MQTT serveriai"
#define D_MQTT_SERVICE_FOUND "MQTT serveris rastas adresu"
#define D_FOUND_AT "rastas adresu"
#define D_SYSLOG_HOST_NOT_FOUND "Syslog serveris nerastas"

// settings.ino
#define D_SAVED_TO_FLASH_AT "Išsaugota į Flash at"
#define D_LOADED_FROM_FLASH_AT "Įkelta iš Flash at"
#define D_USE_DEFAULTS "Naudoti numatytuosius nustatymus"
#define D_ERASED_SECTOR "Ištrintas sektorius"

// xdrv_02_webserver.ino
#define D_NOSCRIPT "Norėdami naudoti Tasmota, įjunkite JavaScript"
#define D_SAFEBOOT "SAUGUS PALEIDIMAS"
#define D_MINIMAL_FIRMWARE_PLEASE_UPGRADE "MINIMALI programinė įranga<br>prašome atnaujinti"
#define D_WEBSERVER_ACTIVE_ON "Web serveris aktyvus"
#define D_WITH_IP_ADDRESS "su IP adresu"
#define D_WEBSERVER_STOPPED "Web serveris sustabdytas"
#define D_FILE_NOT_FOUND "Failas nerastas"
#define D_REDIRECTED "Peradresuota į Captive Portal"
#define D_WIFIMANAGER_SET_ACCESSPOINT_AND_STATION "Wifimanager nustatė prieigos tašką ir išsaugojo stotį"
#define D_WIFIMANAGER_SET_ACCESSPOINT "Wifimanager nustatė prieigos tašką"
#define D_TRYING_TO_CONNECT "Bandoma prijungti įrenginį prie tinklo"

#define D_RESTART_IN "Perkrauti per"
#define D_SECONDS "sekundes"
#define D_DEVICE_WILL_RESTART "Įrenginys bus perkrautas per kelias sekundes"
#define D_BUTTON_TOGGLE "Perjungti"
#define D_CONFIGURATION "Konfigūracija"
#define D_INFORMATION "Informacija"
#define D_FIRMWARE_UPGRADE "Programinės įrangos atnaujinimas"
#define D_MANAGEMENT "Įrankiai"
#define D_GPIO_VIEWER "GPIO Peržiūra"
#define D_CONSOLE "Konsolė"
#define D_CONFIRM_RESTART "Patvirtinkite perkrovimą"

#define D_CONFIGURE_MODULE "Modulis"
#define D_CONFIGURE_WIFI "WiFi"
#define D_CONFIGURE_MQTT "MQTT"
#define D_CONFIGURE_DOMOTICZ "Domoticz"
#define D_CONFIGURE_LOGGING "Logging"
#define D_CONFIGURE_OTHER "Kiti"
#define D_CONFIRM_RESET_CONFIGURATION "Patvirtinkite konfigūracijos atstatymą"
#define D_RESET_CONFIGURATION "Atstatyti"
#define D_BACKUP_CONFIGURATION "Atsarginė kopija"
#define D_RESTORE_CONFIGURATION "Atkurti"
#define D_START_RESTORE "Pradėti atkūrimą"
#define D_MAIN_MENU "Pagrindinis meniu"

#define D_MODULE_PARAMETERS "Modulio parametrai"
#define D_MODULE_TYPE "Modulio tipas"
#define D_PULLUP_ENABLE "Be mygtuko/perjungėjo pull-up"
#define D_ADC "ADC"
#define D_GPIO "GPIO"
#define D_SERIAL_IN "Serijinė įvestis"
#define D_SERIAL_OUT "Serijinė išvestis"

#define D_WIFI_PARAMETERS "WiFi parametrai"
#define D_SCAN_FOR_WIFI_NETWORKS "Ieškoti WiFi tinklų"
#define D_SCAN_DONE "Paieška baigta"
#define D_NO_NETWORKS_FOUND "Tinklų nerasta"
#define D_REFRESH_TO_SCAN_AGAIN "Perkraukite, kad vėl atliktumėte paiešką"
#define D_DUPLICATE_ACCESSPOINT "Prieigos taško duplikatas"
#define D_SKIPPING_LOW_QUALITY "Praleidžiama dėl prastos kokybės"
#define D_MODE "Režimas"
#define D_RSSI "RSSI"
#define D_WEP "WEP"
#define D_WPA_PSK "WPA PSK"
#define D_WPA2_PSK "WPA2 PSK"
#define D_AP1_SSID "WiFi tinklas"
#define D_AP1_SSID_HELP "Įveskite arba pasirinkite savo WiFi tinklą"
#define D_AP2_SSID "WiFi tinklas 2"
#define D_AP2_SSID_HELP "Įveskite savo alternatyvų WiFi tinklą"
#define D_AP_PASSWORD "WiFi slaptažodis"
#define D_AP_PASSWORD_HELP "Įveskite savo WiFi slaptažodį"
#define D_SELECT_YOUR_WIFI_NETWORK "Pasirinkite savo WiFi tinklą"
#define D_SHOW_MORE_WIFI_NETWORKS "Ieškoti visų WiFi tinklų"
#define D_SHOW_MORE_OPTIONS "Daugiau parinkčių"
#define D_CHECK_CREDENTIALS "Prašome patikrinti savo prisijungimo duomenis"
#define D_SUCCESSFUL_WIFI_CONNECTION "Sėkmingas WiFi prisijungimas"
#define D_NOW_YOU_CAN_CLOSE_THIS_WINDOW "Dabar galite uždaryti šį langą"
#define D_REDIRECTING_TO_NEW_IP "Peradresuojama į naują įrenginio IP adresą"

#define D_MQTT_PARAMETERS "MQTT parametrai"
#define D_CLIENT "Klientas"
#define D_FULL_TOPIC "Full Topic"

#define D_LOGGING_PARAMETERS "Logging parametrai"
#define D_SERIAL_LOG_LEVEL "Serijinio log lygis"
#define D_MQTT_LOG_LEVEL "MQTT log lygis"
#define D_WEB_LOG_LEVEL "Web log lygis"
#define D_SYS_LOG_LEVEL "Syslog lygis"
#define D_MORE_DEBUG "More debug"
#define D_SYSLOG_HOST "Syslog hostas"
#define D_SYSLOG_PORT "Syslog prievadas"
#define D_TELEMETRY_PERIOD "Telemetrijos periodas"

#define D_OTHER_PARAMETERS "Kiti parametrai"
#define D_TEMPLATE "Šablonas"
#define D_ACTIVATE "Aktyvuoti"
#define D_DEVICE_NAME "Įrenginio pavadinimas"
#define D_WEB_ADMIN_PASSWORD "Web administratoriaus slaptažodis"
#define D_MQTT_ENABLE "Įjungti MQTT"
#define D_MQTT_TLS_ENABLE "MQTT TLS"
#define D_HTTP_API "HTTP API"
#define D_HTTP_API_ENABLE "Įjungti HTTP API"
#define D_FRIENDLY_NAME "Sutrumpintas pavadinimas"
#define D_BELKIN_WEMO "Belkin WeMo"
#define D_HUE_BRIDGE "Hue Bridge"
#define D_SINGLE_DEVICE "vieno įrenginio"
#define D_MULTI_DEVICE "kelių įrenginių"

#define D_CONFIGURE_TEMPLATE "Šablonas"
#define D_TEMPLATE_PARAMETERS "Šablono parametrai"
#define D_TEMPLATE_NAME "Pavadinimas"
#define D_BASE_TYPE "Pagal"
#define D_TEMPLATE_FLAGS "Parinktys"

#define D_SAVE_CONFIGURATION "Išsaugoti konfigūraciją"
#define D_CONFIGURATION_SAVED "Konfigūracija išsaugota"
#define D_CONFIGURATION_RESET "Konfigūracija atstatyta"

#define D_PROGRAM_VERSION "Programos versija"
#define D_BUILD_DATE_AND_TIME "Kompiliavimo data ir laikas"
#define D_CORE_AND_SDK_VERSION "Core/SDK versija"
#define D_FLASH_WRITE_COUNT "Flash įrašų skaičius"
#define D_MAC_ADDRESS "MAC adresas"
#define D_MQTT_HOST "MQTT serveris"
#define D_MQTT_PORT "MQTT prievadas"
#define D_MQTT_CLIENT "MQTT klientas"
#define D_MQTT_USER "MQTT vartotojas"
#define D_MQTT_TOPIC "MQTT topic"
#define D_MQTT_GROUP_TOPIC "MQTT group topic"
#define D_MQTT_FULL_TOPIC "MQTT full topic"
#define D_MQTT_NO_RETAIN "MQTT No Retain"
#define D_MDNS_DISCOVERY "mDNS Discovery"
#define D_MDNS_ADVERTISE "mDNS Advertise"
#define D_ESP_CHIP_ID "ESP Chip ID"
#define D_FLASH_CHIP_ID "Flash Chip Id"
#define D_FLASH_CHIP_SIZE "Flash dydis"
#define D_FREE_PROGRAM_SPACE "Laisva programos vieta"

#define D_UPGRADE_BY_WEBSERVER "Naudoti web serverį"
#define D_OTA_URL "OTA URL"
#define D_START_UPGRADE "Pradėti atnaujinimą"
#define D_UPGRADE_BY_FILE_UPLOAD "Naudoti failų įkėlimą"
#define D_UPLOAD_FACTORY "Perjungimas į saugią safeboot partition"
#define D_UPLOAD_STARTED "Įkėlimas pradėtas"
#define D_UPGRADE_STARTED "Atnaujinimas pradėtas"
#define D_UPLOAD_DONE "Įkėlimas baigtas"
#define D_UPLOAD_TRANSFER "Įkėlimo perdavimas"
#define D_TRANSFER_STARTED "Perdavimas pradėtas"
#define D_UPLOAD_ERR_1 "Nepasirinktas failas"
#define D_UPLOAD_ERR_2 "Nepakanka vietos"
#define D_UPLOAD_ERR_3 "Netinkamas failo parašas"
#define D_UPLOAD_ERR_4 "Programos flash dydis yra didesnis nei tikrasis flash dydis"
#define D_UPLOAD_ERR_5 "Įkėlimo buferio neatitikimas"
#define D_UPLOAD_ERR_6 "Įkėlimas nepavyko. Įjunkite 3 lygio logging"
#define D_UPLOAD_ERR_7 "Įkėlimas nutrauktas"
#define D_UPLOAD_ERR_8 "Netinkamas failas"
#define D_UPLOAD_ERR_9 "Failas per didelis"
#define D_UPLOAD_ERR_10 "Nepavyko inicijuoti RF mikroschemos"
#define D_UPLOAD_ERR_11 "Nepavyko ištrinti RF mikroschemos"
#define D_UPLOAD_ERR_12 "Nepavyko rašyti į RF mikroschemą"
#define D_UPLOAD_ERR_13 "Nepavyko dekoduoti RF programinės įrangos"
#define D_UPLOAD_ERR_14 "Nesuderinama"
#define D_UPLOAD_ERROR_CODE "Įkėlimo klaidos kodas"

#define D_ENTER_COMMAND "Įveskite komandą"
#define D_ENABLE_WEBLOG_FOR_RESPONSE "Įjunkite weblog 2, jei tikimasi atsakymo"
#define D_NEED_USER_AND_PASSWORD "Reikalingas user=<vartotojas>&password=<slaptažodis>"

// xdrv_01_mqtt.ino
#define D_FINGERPRINT "Tikrinamas TLS pirštų atspaudas..."
#define D_TLS_CONNECT_FAILED_TO "TLS prisijungimas nepavyko"
#define D_RETRY_IN "Pakartojimas po"
#define D_VERIFIED "Patvirtinta naudojant pirštų atspaudą"
#define D_INSECURE "Nesaugus prisijungimas dėl netinkamo pirštų atspaudo"
#define D_CONNECT_FAILED_TO "Nepavyko prisijungti prie"

// xplg_wemohue.ino
#define D_MULTICAST_DISABLED "Multicast išjungtas"
#define D_MULTICAST_REJOINED "Multicast prisijungė"
#define D_MULTICAST_JOIN_FAILED "Nepavyko prisijungti prie multicast"
#define D_FAILED_TO_SEND_RESPONSE "Nepavyko išsiųsti atsakymo"

#define D_WEMO "WeMo"
#define D_WEMO_BASIC_EVENT "WeMo basic įvykis"
#define D_WEMO_EVENT_SERVICE "WeMo įvykių paslauga"
#define D_WEMO_META_SERVICE "WeMo meta paslauga"
#define D_WEMO_SETUP "WeMo konfiguracija"
#define D_RESPONSE_SENT "Atsakymas išsiųstas"

#define D_HUE "Hue"
#define D_HUE_BRIDGE_SETUP "Hue sąranka"
#define D_HUE_API_NOT_IMPLEMENTED "Hue API neįntegruota"
#define D_HUE_API "Hue API"
#define D_HUE_POST_ARGS "Hue POST argumentai"
#define D_3_RESPONSE_PACKETS_SENT "Išsiųsti 3 atsakymo paketai"

// xdrv_07_domoticz.ino
#define D_DOMOTICZ_PARAMETERS "Domoticz parametrai"
#define D_DOMOTICZ_IDX "Idx"
#define D_DOMOTICZ_KEY_IDX "Rakto idx"
#define D_DOMOTICZ_SWITCH_IDX "Jungiklio idx"
#define D_DOMOTICZ_SENSOR_IDX "Jutiklio idx"
  #define D_DOMOTICZ_TEMP "Temperatūra"
  #define D_DOMOTICZ_TEMP_HUM "Temperatūra, Drėgmė"
  #define D_DOMOTICZ_TEMP_HUM_BARO "Temperatūra, Drėgmė, Slėgis"
  #define D_DOMOTICZ_POWER_ENERGY "Galia, Energija"
  #define D_DOMOTICZ_ILLUMINANCE "Apšvietimas"
  #define D_DOMOTICZ_COUNT "Skaičius/PM1"
  #define D_DOMOTICZ_VOLTAGE "Įtampa/PM2.5"
  #define D_DOMOTICZ_CURRENT "Srovė/PM10"
  #define D_DOMOTICZ_AIRQUALITY "Oro kokybė"
  #define D_DOMOTICZ_P1_SMART_METER "P1 išmanusis skaitiklis"
#define D_DOMOTICZ_UPDATE_TIMER "Atnaujinimo laikmatis"

// xdrv_09_timers.ino
#define D_CONFIGURE_TIMER "Laikmatis"
#define D_TIMER_PARAMETERS "Laikmačio parametrai"
#define D_TIMER_ENABLE "Įjungti laikmačius"
#define D_TIMER_ARM "Įjungti"
#define D_TIMER_TIME "Laikas"
#define D_TIMER_DAYS "Dienos"
#define D_TIMER_REPEAT "Kartoti"
#define D_TIMER_OUTPUT "Išvestis"
#define D_TIMER_ACTION "Veiksmas"

// xdrv_10_knx.ino
#define D_CONFIGURE_KNX "KNX"
#define D_KNX_PARAMETERS "KNX parametrai"
#define D_KNX_GENERAL_CONFIG "Bendrieji nustatymai"
#define D_KNX_PHYSICAL_ADDRESS "Fizinis adresas"
#define D_KNX_PHYSICAL_ADDRESS_NOTE "( Turi būti unikalus KNX tinkle )"
#define D_KNX_ENABLE "Įjungti KNX"
#define D_KNX_GROUP_ADDRESS_TO_WRITE "Duomenys siuntimui į grupinius adresus"
#define D_ADD "Pridėti"
#define D_DELETE "Ištrinti"
#define D_REPLY "Atsakyti"
#define D_KNX_GROUP_ADDRESS_TO_READ "Grupiniai adresai, iš kurių gaunami duomenys"
#define D_RECEIVED_FROM "Gauta iš"
#define D_KNX_COMMAND_WRITE "Rašyti"
#define D_KNX_COMMAND_READ "Skaityti"
#define D_KNX_COMMAND_OTHER "Kita"
#define D_SENT_TO "Išsiųsta į"
#define D_KNX_WARNING "Grupinis adresas ( 0 / 0 / 0 ) yra rezervuotas ir negali būti naudojamas."
#define D_KNX_ENHANCEMENT "Komunikacijos patobulinimas"
#define D_KNX_TX_SLOT "KNX TX"
#define D_KNX_RX_SLOT "KNX RX"
#define D_KNX_TX_SCENE "KNX SCENE TX"
#define D_KNX_RX_SCENE "KNX SCENE RX"

// xdrv_23_zigbee
#define D_ZIGBEE_PERMITJOIN_ACTIVE "Įrenginiai, kuriems leidžiama prisijungti"
#define D_ZIGBEE_MAPPING_TITLE "Tasmota Zigbee sujungimas"
#define D_ZIGBEE_NOT_STARTED "Zigbee neįjungtas"
#define D_ZIGBEE_MAPPING_IN_PROGRESS_SEC "Sujungimas vyksta (%d s. liko)"
#define D_ZIGBEE_MAPPING_NOT_PRESENT "Neprijungta"
#define D_ZIGBEE_MAP_REFRESH "Atnaujinti Zigbee žemėlapį"
#define D_ZIGBEE_MAP   "Zigbee žemėlapis"
#define D_ZIGBEE_PERMITJOIN "Leisti Zigbee prisijungimą"
#define D_ZIGBEE_GENERATE_KEY "Generuojamas atsitiktinis Zigbee tinklo raktas"
#define D_ZIGBEE_UNKNOWN_DEVICE "Nežinomas įrenginys"
#define D_ZIGBEE_UNKNOWN_ATTRIBUTE "Nežinomas atributas"
#define D_ZIGBEE_UNKNOWN_ENDPOINT "Nežinomas prieigos taškas"
#define D_ZIGBEE_INVALID_PARAM "Neteisingas parametras"
#define D_ZIGBEE_MISSING_PARAM "Trūksta parametrų"
#define D_ZIGBEE_UNKNWON_ATTRIBUTE "Nežinomas atributo pavadinimas (ignoruojama): %s"
#define D_ZIGBEE_TOO_MANY_CLUSTERS "Ne daugiau kaip vienas klasterio ID komandai"
#define D_ZIGBEE_CONFLICTING_ENDPOINTS "Prieštaraujantys galiniai taškai"-----
#define D_ZIGBEE_WRONG_DELIMITER "Neteisingas skyriklis naštai"-----
#define D_ZIGBEE_UNRECOGNIZED_COMMAND "Neatpažinta Zigbee komanda: %s"
#define D_ZIGBEE_TOO_MANY_COMMANDS "Leidžiama tik 1 komanda (%d)"
#define D_ZIGBEE_NO_ATTRIBUTE "Sąraše nėra atributo"
#define D_ZIGBEE_UNSUPPORTED_ATTRIBUTE_TYPE "Nepalaikomas atributo tipas"
#define D_ZIGBEE_JSON_REQUIRED "Konfigūracijai reikia JSON objektų"
#define D_ZIGBEE_RESET_1_OR_2 "1 arba 2 norint atstatyti"
#define D_ZIGBEE_EEPROM_FOUND_AT_ADDRESS "ZBBridge EEPROM rastas adresu"
#define D_ZIGBEE_RANDOMIZING_ZBCONFIG "Atsitiktinai keičiami Zigbee parametrai, patikrinkite su 'ZbConfig'"

// xdrv_89_dali.ino
#define D_SENSOR_DALI_RX                  "Dali RX"
#define D_SENSOR_DALI_TX                  "Dali TX"
#define D_CONFIGURE_DALI                  "DALI"

// xdrv_03_energy.ino
#define D_ENERGY_TODAY "Energija šiandien"
#define D_ENERGY_YESTERDAY "Energija vakar"
#define D_ENERGY_TOTAL "Bendra energija"
  
// xsns_100_ina3221.ino
#define  D_UNIT_CHARGE                    "Ah"
#define  D_CHARGE                         "Įkrova"    
#define  D_ENERGY                         "Energija"

// xdrv_27_shutter.ino
#define D_OPEN "Atidaryti"
#define D_CLOSE "Uždaryti"
#define D_DOMOTICZ_SHUTTER "Žaliuzės"

// xdrv_28_pcf8574.ino
#define D_CONFIGURE_PCF8574 "PCF8574"
#define D_PCF8574_PARAMETERS "PCF8574 parametrai"
#define D_INVERT_PORTS "Invertuoti prievadus"
#define D_DEVICE "Įrenginys"
#define D_DEVICE_INPUT "Įvestis"
#define D_DEVICE_OUTPUT "Išvestis"

// xdrv_39_thermostat.ino, xdrv_85_esp32_ble_eq3_trv.ino
#define D_THERMOSTAT                  "Termostatas"
#define D_THERMOSTAT_SET_POINT        "Nustatyta temperatūra"
#define D_THERMOSTAT_SENSOR           "Dabartinė temperatūra"
#define D_THERMOSTAT_GRADIENT         "Temperatūros pokytis"
#define D_THERMOSTAT_DUTY_CYCLE       "Darbo ciklas"
#define D_THERMOSTAT_VALVE_POSITION   "Vožtuvo padėtis"
#define D_THERMOSTAT_CYCLE_TIME       "Ciklo laikas"
#define D_THERMOSTAT_PI_AUTOTUNE      "PI automatinis derinimas"
#define D_THERMOSTAT_CONTROL_METHOD   "Valdymo metodas"
#define D_THERMOSTAT_RAMP_UP          "Palaipsninis didinimas"
#define D_THERMOSTAT_PI               "PI"
#define D_THERMOSTAT_AUTOTUNE         "Automatinis derinimas"
#define D_THERMOSTAT_RAMP_UP_HYBRID   "Palaipsninis didinimas (hibridinis)"
#define D_THERMOSTAT_PI_HYBRID        "PI (hibridinis)"
#define D_THERMOSTAT_AUTOTUNE_HYBRID  "Automatinis derinimas (hibridinis)"

// xdrv_79_esp32_ble.ino
#define D_CONFIGURE_BLE "BLE"
#define D_BLE_PARAMETERS "Bluetooth nustatymai"
#define D_BLE_ENABLE "Įjungti Bluetooth"
#define D_BLE_ACTIVESCAN "Įjungti aktyvų skenavimą(*)"
#define D_BLE_DEVICES "Aptikti įrenginiai"
#define D_BLE_REMARK "įrašai, pažymėti (*), nėra saugomi konfigūracijoje"

// xsns_05_ds18b20.ino
#define D_SENSOR_BUSY "Jutiklis užimtas"
#define D_SENSOR_CRC_ERROR "Jutiklio CRC klaida"
#define D_SENSORS_FOUND "Rasti jutikliai"

// xsns_06_dht.ino
#define D_TIMEOUT_WAITING_FOR "Laiko limitas laukiant"
#define D_START_SIGNAL_LOW "pradinis signalas žemas"
#define D_START_SIGNAL_HIGH "pradinis signalas aukštas"
#define D_PULSE "pulsas"
#define D_CHECKSUM_FAILURE "Kontrolinės sumos klaida"

// xsns_07_sht1x.ino
#define D_SENSOR_DID_NOT_ACK_COMMAND "Jutiklis neatsakė į komandą"
#define D_SHT1X_FOUND "SHT1X surastas"

// xsns_18_pms5003.ino
#define D_STANDARD_CONCENTRATION "CF-1 KD"     // Standartinė dalelių koncentracija CF-1 (Kietosios dalelės)
#define D_ENVIRONMENTAL_CONCENTRATION "PM"     // Aplinkos kietosios dalelės
#define D_PARTICALS_BEYOND "Dalelės"

// xsns_27_apds9960.ino
#define D_GESTURE "Gestas"
#define D_COLOR_RED "Raudona"
#define D_COLOR_GREEN "Žalia"
#define D_COLOR_BLUE "Mėlyna"
#define D_CCT "CCT"
#define D_PROXIMITY "Artumo jutiklis"

// xsns_32_mpu6050.ino
#define D_AX_AXIS "Pagreit. X ašis"
#define D_AY_AXIS "Pagreit. Y ašis"
#define D_AZ_AXIS "Pagreit. Z ašis"
#define D_GX_AXIS "Grskp. X ašis"
#define D_GY_AXIS "Grskp. Y ašis"
#define D_GZ_AXIS "Grskp. Z ašis"

// xsns_33_QMC5883L.ino
#define D_MX "Indukcija X ašies"
#define D_MY "Indukcija Y ašies"
#define D_MZ "Indukcija Z ašies"
#define D_MAGNETICFLD "Magnetinė indukcija"

// xsns_34_hx711.ino
#define D_HX_CAL_REMOVE "Nuimkite svorį"
#define D_HX_CAL_REFERENCE "Įveskite nurodytą svorį"
#define D_HX_CAL_DONE "Sukalibruota"
#define D_HX_CAL_FAIL "Kalibracija nepavyko"
#define D_RESET_HX711 "Perkrauti svarstyklę"
#define D_CONFIGURE_HX711 "Svarstyklės nustatymai"
#define D_HX711_PARAMETERS "Svarstyklių parametrai"
#define D_ITEM_WEIGHT "Prekės svoris"
#define D_REFERENCE_WEIGHT "Nurodytas svoris"
#define D_CALIBRATE "Kalibruoti"
#define D_CALIBRATION "Kalibracija"

//xsns_35_tx20.ino
#define D_TX20_WIND_DIRECTION "Vėjo kryptis"
#define D_TX20_WIND_SPEED "Vėjo greitis"
#define D_TX20_WIND_SPEED_MIN "Minimalus vėjo greitis"
#define D_TX20_WIND_SPEED_MAX "Maksimalus vėjo greitis"
#define D_TX20_NORTH "Š"
#define D_TX20_EAST "R"
#define D_TX20_SOUTH "P"
#define D_TX20_WEST "V"

// xsns_53_sml.ino
#define D_TPWRIN "Visas-Įėjimas"
#define D_TPWRIN0 "Visas-Įėjimas T0"
#define D_TPWRIN1 "Visas-Įėjimas T1"
#define D_TPWROUT "Visas-Išėjimas"
#define D_TPWRCURR "Srovė-Įėjimas/Išėjimas"
#define D_TPWRCURR1 "Srovė-Įėjimas p1"
#define D_TPWRCURR2 "Srovė-Įėjimas p2"
#define D_TPWRCURR3 "Srovė-Įėjimas p3"
#define D_Strom_L1 "Srovė L1"
#define D_Strom_L2 "Srovė L2"
#define D_Strom_L3 "Srovė L3"
#define D_Spannung_L1 "Įtampa L1"
#define D_Spannung_L2 "Įtampa L2"
#define D_Spannung_L3 "Įtampa L3"
#define D_METERNR "Skaitiklio numeris"
#define D_METERSID "Paslaugos ID"
#define D_GasIN "Skaitiklis"                // Dujų vartojimas
#define D_H2oIN "Skaitiklis"                // Vandens vartojimas
#define D_StL1L2L3 "Srovė L1+L2+L3"
#define D_SpL1L2L3 "Įtampa L1+L2+L3/3"

// xsns_86_tfminiplus.ino
#define D_SIGNALSTRENGTH "Signalo stiprumas"
#define D_CHIPTEMPERATURE "Lusto Temperature"

// xsns_60_GPS
#define D_LATITUDE             "Platuma"
#define D_LONGITUDE            "Ilguma"
#define D_HORIZONTAL_ACCURACY  "Horizontalus tikslumas"
#define D_ALTITUDE             "Aukštuma"
#define D_VERTICAL_ACCURACY    "Vertikalus tikslumas"
#define D_SPEED                "Greitis"
#define D_SPEED_ACCURACY       "Greičio tikslumas"
#define D_HEADING              "Kryptis"
#define D_HEADING_ACCURACY     "Krypties tikslumas"
#define D_SAT_FIX              "Palydovo nustatymas"
  #define D_SAT_FIX_NO_FIX     "Nėra"
  #define D_SAT_FIX_DEAD_RECK  "Dead reckoning"
  #define D_SAT_FIX_2D         "2D"
  #define D_SAT_FIX_3D         "3D"
  #define D_SAT_FIX_GPS_DEAD   "GPS ir mirštanti navigacija"
  #define D_SAT_FIX_TIME       "Tik laiko nustatymas"

// tasmota_template.h - keep them as short as possible to be able to fit them in GUI drop down box
#define D_SENSOR_NONE          "Nepasirinkta"
#define D_SENSOR_USER          "Naudotojas"
#define D_SENSOR_OPTION        "Pasirinkimas"
#define D_SENSOR_DHT11         "DHT11"
#define D_SENSOR_AM2301        "AM2301"
#define D_SENSOR_SI7021        "SI7021"
#define D_SENSOR_MS01          "MS01"
#define D_SENSOR_DS18X20       "DS18x20"
#define D_SENSOR_I2C_SCL       "I2C SCL"
#define D_SENSOR_I2C_SDA       "I2C SDA"
#define D_SENSOR_I2C_SER_TX    "I2C Ser Tx"
#define D_SENSOR_I2C_SER_RX    "I2C Ser Rx"
#define D_SENSOR_I2S_MCLK      "I2S MCLK"
#define D_SENSOR_I2S_BCLK      "I2S BCLK"
#define D_SENSOR_I2S_WS_IN     "I2S BCLK In"
#define D_SENSOR_I2S_WS        "I2S WS"
#define D_SENSOR_I2S_BCLK_IN   "I2S WS In"
#define D_SENSOR_I2S_DIN       "I2S DIN"
#define D_SENSOR_I2S_DOUT      "I2S DOUT"
#define D_SENSOR_I2S_DAC       "I2S DAC"
#define D_SENSOR_HDMI_CEC      "HDMI CEC"
#define D_SENSOR_WS2812        "WS2812"
#define D_SENSOR_DFR562        "MP3 Player"
#define D_SENSOR_DFR562_BUSY   "MP3 Busy"
#define D_SENSOR_IRSEND        "IRsend"
#define D_SENSOR_SWITCH        "Switch"     // Suffix "1"
#define D_SENSOR_BUTTON        "Button"     // Suffix "1"
#define D_SENSOR_RELAY         "Relay"      // Suffix "1i"
#define D_SENSOR_LED           "Led"        // Suffix "1i"
#define D_SENSOR_LED_LINK      "LedLink"    // Suffix "i"
#define D_SENSOR_PWM           "PWM"        // Suffix "1"
#define D_SENSOR_COUNTER       "Counter"    // Suffix "1"
#define D_SENSOR_INTERRUPT     "Interrupt"
#define D_SENSOR_INPUT         "Input"
#define D_SENSOR_IRRECV        "IRrecv"
#define D_SENSOR_MHZ_RX        "MHZ Rx"
#define D_SENSOR_MHZ_TX        "MHZ Tx"
#define D_SENSOR_HC8_RX        "HC8 Rx"
#define D_SENSOR_PZEM004_RX    "PZEM004 Rx"
#define D_SENSOR_PZEM016_RX    "PZEM016 Rx"
#define D_SENSOR_PZEM017_RX    "PZEM017 Rx"
#define D_SENSOR_PZEM0XX_TX    "PZEM0XX Tx"
#define D_SENSOR_SAIR_RX       "SAir Rx"
#define D_SENSOR_SAIR_TX       "SAir Tx"
#define D_SENSOR_SPI_CS        "SPI CS"
#define D_SENSOR_SPI_DC        "SPI DC"
#define D_SENSOR_SPI_MISO      "SPI MISO"
#define D_SENSOR_SPI_MOSI      "SPI MOSI"
#define D_SENSOR_SPI_CLK       "SPI CLK"
#define D_SENSOR_SDIO_CMD      "SDIO CMD"
#define D_GPIO_TS_SPI_CS       "TS SPI CS"
#define D_GPIO_TS_RST          "TS RST"
#define D_GPIO_TS_IRQ          "TS IRQ"
#define D_SENSOR_SDIO_CMD      "SDIO CMD"
#define D_SENSOR_SDIO_CLK      "SDIO CLK"
#define D_SENSOR_SDIO_D0       "SDIO D0"
#define D_SENSOR_SDIO_D1       "SDIO D1"
#define D_SENSOR_SDIO_D2       "SDIO D2"
#define D_SENSOR_SDIO_D3       "SDIO D3"
#define D_SENSOR_BACKLIGHT     "Backlight"
#define D_SENSOR_PMS5003_TX    "PMS5003 Tx"
#define D_SENSOR_PMS5003_RX    "PMS5003 Rx"
#define D_SENSOR_SDS0X1_RX     "SDS0X1 Rx"
#define D_SENSOR_SDS0X1_TX     "SDS0X1 Tx"
#define D_SENSOR_HPMA_RX       "HPMA Rx"
#define D_SENSOR_HPMA_TX       "HPMA Tx"
#define D_SENSOR_SBR_RX        "SerBr Rx"
#define D_SENSOR_SBR_TX        "SerBr Tx"
#define D_SENSOR_MBR_TX        "ModBr Tx"
#define D_SENSOR_MBR_RX        "ModBr Rx"
#define D_SENSOR_MBR_TX_ENA    "ModBr Tx Ena"
#define D_SENSOR_SR04_TRIG     "SR04 Tri/Tx"
#define D_SENSOR_SR04_ECHO     "SR04 Ech/Rx"
#define D_SENSOR_NRG_MBS_TX    "NrgMbs Tx"
#define D_SENSOR_NRG_MBS_RX    "NrgMbs Rx"
#define D_SENSOR_NRG_MBS_TX_ENA  "NrgMbs Tx Ena"
#define D_SENSOR_SDM72_TX      "SDM72 Tx"
#define D_SENSOR_SDM72_RX      "SDM72 Rx"
#define D_SENSOR_SDM120_TX     "SDMx20 Tx"
#define D_SENSOR_SDM120_RX     "SDMx20 Rx"
#define D_SENSOR_SDM230_TX     "SDM230 Tx"
#define D_SENSOR_SDM230_RX     "SDM230 Rx"
#define D_SENSOR_SDM630_TX     "SDM630 Tx"
#define D_SENSOR_SDM630_RX     "SDM630 Rx"
#define D_SENSOR_WE517_TX      "WE517 Tx"
#define D_SENSOR_WE517_RX      "WE517 Rx"
#define D_SENSOR_LD2410_TX     "LD2410 Tx"
#define D_SENSOR_LD2410_RX     "LD2410 Rx"
#define D_SENSOR_LD2410S_TX    "LD2410S Tx"
#define D_SENSOR_LD2410S_RX    "LD2410S Rx"
#define D_GPIO_TM1621_CS       "TM1621 CS"
#define D_GPIO_TM1621_WR       "TM1621 WR"
#define D_GPIO_TM1621_RD       "TM1621 RD"
#define D_GPIO_TM1621_DAT      "TM1621 DAT"
#define D_SENSOR_TM1637_CLK    "TM1637 CLK"
#define D_SENSOR_TM1637_DIO    "TM1637 DIO"
#define D_SENSOR_TM1638_CLK    "TM1638 CLK"
#define D_SENSOR_TM1638_DIO    "TM1638 DIO"
#define D_SENSOR_TM1638_STB    "TM1638 STB"
#define D_SENSOR_TM1640_CLK    "TM1640 CLK"
#define D_SENSOR_TM1640_DIN    "TM1640 DIN"
#define D_SENSOR_MAX7219_DIN   "MAX7219 DIN"
#define D_SENSOR_MAX7219_CS    "MAX7219 CS"
#define D_SENSOR_MAX7219_CLK   "MAX7219 CLK"
#define D_SENSOR_HX711_SCK     "HX711 SCK"
#define D_SENSOR_HX711_DAT     "HX711 DAT"
#define D_SENSOR_FTC532        "FTC532"
#define D_SENSOR_BS814_CLK     "BS814 CLK"
#define D_SENSOR_BS814_DAT     "BS814 DAT"
#define D_SENSOR_TX2X_TX       "TX2x"
#define D_SENSOR_RFSEND        "RFSend"
#define D_SENSOR_RFRECV        "RFrecv"
#define D_SENSOR_TUYA_TX       "Tuya Tx"
#define D_SENSOR_TUYA_RX       "Tuya Rx"
#define D_SENSOR_MGC3130_XFER  "MGC3130 Xfr"
#define D_SENSOR_MGC3130_RESET "MGC3130 Rst"
#define D_SENSOR_SSPI_MISO     "SSPI MISO"
#define D_SENSOR_SSPI_MOSI     "SSPI MOSI"
#define D_SENSOR_SSPI_SCLK     "SSPI SCLK"
#define D_SENSOR_SSPI_CS       "SSPI CS"
#define D_SENSOR_SSPI_DC       "SSPI DC"
#define D_SENSOR_RF_SENSOR     "RF Sensor"
#define D_SENSOR_AZ_RX         "AZ Rx"
#define D_SENSOR_AZ_TX         "AZ Tx"
#define D_SENSOR_MAX31855_CS   "MX31855 CS"
#define D_SENSOR_MAX31855_CLK  "MX31855 CLK"
#define D_SENSOR_MAX31855_DO   "MX31855 DO"
#define D_SENSOR_MAX31865_CS   "MX31865 CS"
#define D_GPIO_RN2XX3_TX       "RN2XX3 Tx"
#define D_GPIO_RN2XX3_RX       "RN2XX3 Rx"
#define D_GPIO_RN2XX3_RST      "RN2XX3 Rst"
#define D_GPIO_ASR650X_TX      "ASR650x Tx"
#define D_GPIO_ASR650X_RX      "ASR650x Rx"
#define D_GPIO_LORA_CS         "LoRa CS"
#define D_GPIO_LORA_RST        "LoRa Rst"
#define D_GPIO_LORA_BUSY       "LoRa Busy"
#define D_GPIO_LORA_DI         "LoRa DIO"   // Suffix "0" .. "5"
#define D_SENSOR_NRG_SEL       "HLWBL SEL"  // Suffix "i"
#define D_SENSOR_NRG_CF1       "HLWBL CF1"
#define D_SENSOR_HLW_CF        "HLW8012 CF"
#define D_SENSOR_HJL_CF        "BL0937 CF"
#define D_SENSOR_MCP39F5_TX    "MCP39F5 Tx"
#define D_SENSOR_MCP39F5_RX    "MCP39F5 Rx"
#define D_SENSOR_MCP39F5_RST   "MCP39F5 Rst"
#define D_SENSOR_CSE7761_TX    "CSE7761 Tx"
#define D_SENSOR_CSE7761_RX    "CSE7761 Rx"
#define D_SENSOR_CSE7766_TX    "CSE7766 Tx"
#define D_SENSOR_CSE7766_RX    "CSE7766 Rx"
#define D_SENSOR_BL0906_RX     "BL0906 Rx"
#define D_SENSOR_BL0939_RX     "BL0939 Rx"
#define D_SENSOR_BL0942_RX     "BL0942 Rx"
#define D_SENSOR_HM330X_SET    "HM330X SET"
#define D_SENSOR_PN532_TX      "PN532 Tx"
#define D_SENSOR_PN532_RX      "PN532 Rx"
#define D_SENSOR_SM16716_CLK   "SM16716 CLK"
#define D_SENSOR_SM16716_DAT   "SM16716 DAT"
#define D_SENSOR_SM16716_POWER "SM16716 PWR"
#define D_SENSOR_P9813_CLK     "P9813 Clk"
#define D_SENSOR_P9813_DAT     "P9813 Dat"
#define D_SENSOR_MY92X1_DI     "MY92x1 DI"
#define D_SENSOR_MY92X1_DCKI   "MY92x1 DCKI"
#define D_SENSOR_ARIRFRCV      "ALux IrRcv"
#define D_SENSOR_ARIRFSEL      "ALux IrSel"
#define D_SENSOR_TXD           "Serial Tx"
#define D_SENSOR_RXD           "Serial Rx"
#define D_SENSOR_ROTARY        "Rotary"     // Suffix "1A"
#define D_SENSOR_HRE_CLOCK     "HRE Clock"
#define D_SENSOR_HRE_DATA      "HRE Data"
#define D_SENSOR_ADE7880_IRQ   "ADE7880 IRQ"
#define D_SENSOR_ADE7953_IRQ   "ADE7953 IRQ"
#define D_SENSOR_ADE7953_RST   "ADE7953 RST"
#define D_SENSOR_ADE7953_CS    "ADE7953 CS"
#define D_SENSOR_BUZZER        "Buzzer"
#define D_SENSOR_DISP_RESET    "Display Rst"
#define D_SENSOR_ZIGBEE_TXD    "Zigbee Tx"
#define D_SENSOR_ZIGBEE_RXD    "Zigbee Rx"
#define D_SENSOR_ZIGBEE_RST    "Zigbee Rst"
#define D_SENSOR_SOLAXX1_TX    "SolaxX1 Tx"
#define D_SENSOR_SOLAXX1_RX    "SolaxX1 Rx"
#define D_SENSOR_SOLAXX1_RTS   "SolaxX1 RTS"
#define D_SENSOR_IBEACON_TX    "iBeacon Tx"
#define D_SENSOR_IBEACON_RX    "iBeacon Rx"
#define D_SENSOR_RDM6300_RX    "RDM6300 Rx"
#define D_SENSOR_CC1101_CS     "CC1101 CS"
#define D_SENSOR_A4988_DIR     "A4988 DIR"
#define D_SENSOR_A4988_STP     "A4988 STP"
#define D_SENSOR_A4988_ENA     "A4988 ENA"
#define D_SENSOR_A4988_MS1     "A4988 MS1"
#define D_SENSOR_OUTPUT_HI     "Output Hi"
#define D_SENSOR_OUTPUT_LO     "Output Lo"
#define D_SENSOR_AS608_TX      "AS608 Tx"
#define D_SENSOR_AS608_RX      "AS608 Rx"
#define D_SENSOR_GM861_TX      "GM861 Tx"
#define D_SENSOR_GM861_RX      "GM861 Rx"
#define D_SENSOR_DDS2382_TX    "DDS238-2 Tx"
#define D_SENSOR_DDS2382_RX    "DDS238-2 Rx"
#define D_SENSOR_DDSU666_TX    "DDSU666 Tx"
#define D_SENSOR_DDSU666_RX    "DDSU666 Rx"
#define D_SENSOR_SM2135_CLK    "SM2135 Clk"
#define D_SENSOR_SM2135_DAT    "SM2135 Dat"
#define D_SENSOR_SM2335_CLK    "SM2335 Clk"
#define D_SENSOR_SM2335_DAT    "SM2335 Dat"
#define D_SENSOR_BP1658CJ_CLK  "BP1658CJ Clk"
#define D_SENSOR_BP1658CJ_DAT  "BP1658CJ Dat"
#define D_SENSOR_BP5758D_CLK   "BP5758D Clk"
#define D_SENSOR_BP5758D_DAT   "BP5758D Dat"
#define D_SENSOR_DEEPSLEEP     "DeepSleep"
#define D_SENSOR_EXS_ENABLE    "EXS Enable"
#define D_SENSOR_CLIENT_TX     "Client Tx"
#define D_SENSOR_CLIENT_RX     "Client Rx"
#define D_SENSOR_CLIENT_RESET  "Client Rst"
#define D_SENSOR_GPS_RX        "GPS Rx"
#define D_SENSOR_GPS_TX        "GPS Tx"
#define D_SENSOR_HM10_RX       "HM10 Rx"
#define D_SENSOR_HM10_TX       "HM10 Tx"
#define D_SENSOR_LE01MR_RX     "LE-01MR Rx"
#define D_SENSOR_LE01MR_TX     "LE-01MR Tx"
#define D_SENSOR_BL0940_RX     "BL0940 Rx"
#define D_SENSOR_CC1101_GDO0   "CC1101 GDO0"
#define D_SENSOR_CC1101_GDO2   "CC1101 GDO2"
#define D_SENSOR_HRXL_RX       "HRXL Rx"
#define D_SENSOR_DYP_RX        "DYP Rx"
#define D_SENSOR_ELECTRIQ_MOODL "MOODL Tx"
#define D_SENSOR_AS3935        "AS3935"
#define D_SENSOR_WINDMETER_SPEED "WindMeter Spd"
#define D_SENSOR_TELEINFO_RX   "TInfo Rx"
#define D_SENSOR_TELEINFO_ENABLE "TInfo EN"
#define D_SENSOR_LMT01_PULSE   "LMT01 Pulse"
#define D_SENSOR_ADC_INPUT     "ADC Input"
#define D_SENSOR_ADC_TEMP      "ADC Temp"
#define D_SENSOR_ADC_LIGHT     "ADC Light"
#define D_SENSOR_ADC_BUTTON    "ADC Button"
#define D_SENSOR_ADC_RANGE     "ADC Range"
#define D_SENSOR_ADC_CT_POWER  "ADC CT Power"
#define D_SENSOR_ADC_JOYSTICK  "ADC Joystick"
#define D_SENSOR_ADC_PH        "ADC pH"
#define D_SENSOR_ADC_MQ        "ADC MQ"
#define D_SENSOR_ADC_VOLTAGE   "ADC Voltage"
#define D_SENSOR_ADC_CURRENT   "ADC Current"
#define D_GPIO_WEBCAM_PWDN     "CAM_PWDN"
#define D_GPIO_WEBCAM_RESET    "CAM_RESET"
#define D_GPIO_WEBCAM_XCLK     "CAM_XCLK"
#define D_GPIO_WEBCAM_SIOD     "CAM_SIOD"
#define D_GPIO_WEBCAM_SIOC     "CAM_SIOC"
#define D_GPIO_WEBCAM_DATA     "CAM_DATA"
#define D_GPIO_WEBCAM_VSYNC    "CAM_VSYNC"
#define D_GPIO_WEBCAM_HREF     "CAM_HREF"
#define D_GPIO_WEBCAM_PCLK     "CAM_PCLK"
#define D_GPIO_WEBCAM_PSCLK    "CAM_PSCLK"
#define D_GPIO_WEBCAM_HSD      "CAM_HSD"
#define D_GPIO_WEBCAM_PSRCS    "CAM_PSRCS"
#define D_SENSOR_ETH_PHY_POWER "ETH POWER"
#define D_SENSOR_ETH_PHY_MDC   "ETH MDC"
#define D_SENSOR_ETH_PHY_MDIO  "ETH MDIO"
#define D_SENSOR_TCP_TXD       "TCP Tx"
#define D_SENSOR_TCP_TXD_EN    "TCP Tx En"
#define D_SENSOR_TCP_RXD       "TCP Rx"
#define D_SENSOR_IEM3000_TX    "iEM3000 Tx"
#define D_SENSOR_IEM3000_RX    "iEM3000 Rx"
#define D_SENSOR_MIEL_HVAC_TX  "MiEl HVAC Tx"
#define D_SENSOR_MIEL_HVAC_RX  "MiEl HVAC Rx"
#define D_SENSOR_PROJECTOR_CTRL_TX  "DLP Tx"
#define D_SENSOR_PROJECTOR_CTRL_RX  "DLP Rx"
#define D_SENSOR_SHELLY_DIMMER_BOOT0 "SHD Boot 0"
#define D_SENSOR_SHELLY_DIMMER_RST_INV "SHD Reset"
#define D_SENSOR_RC522_RST     "RC522 Rst"
#define D_SENSOR_RC522_CS      "RC522 CS"
#define D_SENSOR_NRF24_CS      "NRF24 CS"
#define D_SENSOR_NRF24_DC      "NRF24 DC"
#define D_SENSOR_XPT2046_CS    "XPT2046 CS"
#define D_SENSOR_ILI9341_CS    "ILI9341 CS"
#define D_SENSOR_ILI9341_DC    "ILI9341 DC"
#define D_SENSOR_ILI9488_CS    "ILI9488 CS"
#define D_SENSOR_EPAPER29_CS   "EPaper29 CS"
#define D_SENSOR_EPAPER42_CS   "EPaper42 CS"
#define D_SENSOR_SSD1351_CS    "SSD1351 CS"
#define D_SENSOR_SSD1351_DC    "SSD1351 DC"
#define D_SENSOR_RA8876_CS     "RA8876 CS"
#define D_SENSOR_ST7789_CS     "ST7789 CS"
#define D_SENSOR_ST7789_DC     "ST7789 DC"
#define D_SENSOR_SSD1331_CS    "SSD1331 CS"
#define D_SENSOR_SSD1331_DC    "SSD1331 DC"
#define D_SENSOR_SDCARD_CS     "SDCard CS"
#define D_SENSOR_WIEGAND_D0    "Wiegand D0"
#define D_SENSOR_WIEGAND_D1    "Wiegand D1"
#define D_SENSOR_NEOPOOL_TX    "NeoPool Tx"
#define D_SENSOR_NEOPOOL_RX    "NeoPool Rx"
#define D_SENSOR_VL53LXX_XSHUT "VL53LXX XSHUT"
#define D_SENSOR_TFMINIPLUS_TX "TFmini+ Tx"
#define D_SENSOR_TFMINIPLUS_RX "TFmini+ Rx"
#define D_SENSOR_ZEROCROSS     "ZC Pulse"
#define D_SENSOR_HALLEFFECT    "HallEffect"
#define D_SENSOR_EPD_DATA      "EPD Data"
#define D_SENSOR_PCF8574_INT   "PCF8574 Int"
#define D_SENSOR_MCP23XXX_INT  "MCP23xxx Int"
#define D_SENSOR_MCP23SXX_CS   "MCP23Sxx CS"
#define D_SENSOR_MCP2515_CS    "MCP2515 CS"
#define D_SENSOR_HRG15_RX      "HRG15 Rx"
#define D_SENSOR_HRG15_TX      "HRG15 Tx"
#define D_SENSOR_VINDRIKTNING_RX "VINDRIKTNING"
#define D_SENSOR_BL6523_TX     "BL6523 Tx"
#define D_SENSOR_BL6523_RX     "BL6523 Rx"
#define D_SENSOR_HEARTBEAT     "Heartbeat"
#define D_SENSOR_RESET         "Reset"
#define D_GPIO_SHIFT595_SRCLK  "74x595 SRCLK"
#define D_GPIO_SHIFT595_RCLK   "74x595 RCLK"
#define D_GPIO_SHIFT595_OE     "74x595 OE"
#define D_GPIO_SHIFT595_SER    "74x595 SER"
#define D_GPIO_DINGTIAN_CLK    "Dingtian CLK"
#define D_GPIO_DINGTIAN_SDI    "Dingtian SDI"
#define D_GPIO_DINGTIAN_Q7     "Dingtian Q7"
#define D_GPIO_DINGTIAN_PL     "Dingtian PL"
#define D_GPIO_DINGTIAN_OE     "Dingtian OE"
#define D_GPIO_DINGTIAN_RCK    "Dingtian RCK"
#define D_SENSOR_CM11_TX       "CM110x Tx"
#define D_SENSOR_CM11_RX       "CM110x Rx"
#define D_SENSOR_FLOWRATEMETER "Flowrate"
#define D_SENSOR_ME007_TRIG    "ME007 Tri"
#define D_SENSOR_ME007_RX      "ME007 Rx"
#define D_SENSOR_TUYAMCUBR_TX  "TuyaMCUBr Tx"
#define D_SENSOR_TUYAMCUBR_RX  "TuyaMCUBr Rx"
#define D_SENSOR_TWAI_TX       "TWAI Tx"
#define D_SENSOR_TWAI_RX       "TWAI Rx"
#define D_SENSOR_TWAI_BO       "TWAI BusOff"
#define D_SENSOR_TWAI_CLK      "TWAI ClkOut"
#define D_SENSOR_BIOPDU_PZEM0XX_TX "BioPDU PZEM0XX Tx"
#define D_SENSOR_BIOPDU_PZEM016_RX "BioPDU PZEM016 Rx"
#define D_SENSOR_BIOPDU_BIT    "BioPDU Bit"
#define D_SENSOR_LOX_O2_RX     "LoxO2 Rx"
#define D_GPIO_MAGIC_SWITCH    "MagicSwitch"
#define D_SENSOR_WOOLIIS_RX    "Wooliis Rx"
#define D_SENSOR_C8_CO2_5K_RX  "C8-CO2-5K Rx"
#define D_SENSOR_C8_CO2_5K_TX  "C8-CO2-5K Tx"

// Units
#define D_UNIT_AMPERE "A"
#define D_UNIT_CELSIUS "C"
#define D_UNIT_CENTIMETER "cm"
#define D_UNIT_DEGREE "°"
#define D_UNIT_FAHRENHEIT "F"
#define D_UNIT_FPS "FPS"
#define D_UNIT_HERTZ "Hz"
#define D_UNIT_HOUR "h"
#define D_UNIT_GALLONS "gal"
#define D_UNIT_GALLONS_PER_MIN "g/m"
#define D_UNIT_GRAM_PER_CUBIC_METER "g/m³"
#define D_UNIT_INCH_MERCURY "inHg"
#define D_UNIT_INCREMENTS "inc"
#define D_UNIT_KELVIN "K"
#define D_UNIT_KILOMETER "km"
#define D_UNIT_KILOGRAM "kg"
#define D_UNIT_KILOMETER_PER_HOUR "km/h"  // or "km/h"
#define D_UNIT_KILOOHM "kΩ"
#define D_UNIT_KILOWATTHOUR "kWh"
#define D_UNIT_LITERS "L"
#define D_UNIT_LITERS_PER_MIN "L/m"
#define D_UNIT_LUX "lx"
#define D_UNIT_METER "m"
#define D_UNIT_MICROGRAM_PER_CUBIC_METER "µg/m³"
#define D_UNIT_MICROMETER "µm"
#define D_UNIT_MICROSECOND "µs"
#define D_UNIT_MICROSIEMENS_PER_CM "µS/cm"
#define D_UNIT_MICROTESLA "µT"
#define D_UNIT_MILLIAMPERE "mA"
#define D_UNIT_MILLILITERS "ml"
#define D_UNIT_MILLIMETER "mm"
#define D_UNIT_MILLIMETER_MERCURY "mmHg"
#define D_UNIT_MILLISECOND "ms"
#define D_UNIT_MILLIVOLT "mV"
#define D_UNIT_MINUTE "Min"
#define D_UNIT_PARTS_PER_BILLION "ppb"
#define D_UNIT_PARTS_PER_DECILITER "ppd"
#define D_UNIT_PARTS_PER_MILLION "ppm"
#define D_UNIT_MILIGRAMS_PER_LITER "mg/L"
#define D_UNIT_PERCENT "%%"
#define D_UNIT_PRESSURE "hPa"
#define D_UNIT_SECOND "sek"
#define D_UNIT_SECTORS "sektoriai"
#define D_UNIT_VA "VA"
#define D_UNIT_VAR "var"
#define D_UNIT_VOLT "V"
#define D_UNIT_WATT "W"
#define D_UNIT_WATTHOUR "Wh"
#define D_UNIT_WATT_METER_QUADRAT "W/m²"
#define D_UNIT_LITER_PER_MINUTE "l/min"
#define D_UNIT_CUBICMETER_PER_HOUR "m³/h"
#define D_UNIT_CUBIC_METER "m³"

#define D_NEW_ADDRESS          "Adresas nustatomas į"
#define D_OUT_OF_RANGE         "Už ribų"
#define D_SENSOR_DETECTED      "aptiktas"

// SDM220, SDM120, SDM72, LE01MR, SDM230
#define D_EXPORT_POWER    "Eksporto galia"
#define D_IMPORT_POWER 	  "Importo galia"
#define D_PHASE_ANGLE     "Fazės kampas"
#define D_IMPORT_ACTIVE   "Importo aktyvioji galia"
#define D_EXPORT_ACTIVE   "Eksporto aktyvioji galia"
#define D_IMPORT_REACTIVE "Importo reaktinė galia"
#define D_EXPORT_REACTIVE "Eksporto reaktinė galia"
#define D_TOTAL_REACTIVE  "Bendra reaktinė galia"
#define D_UNIT_KWARH      "kvarh"
#define D_UNIT_ANGLE      "Laipsniai"
#define D_TOTAL_ACTIVE    "Bendra aktyvioji galia"
#define D_RESETTABLE_TOTAL_ACTIVE    "Bendra aktyvioji galia (RST)"

//SOLAXX1
#define D_PV1_VOLTAGE     "PV1 Įtampa"
#define D_PV1_CURRENT     "PV1 Srovė"
#define D_PV1_POWER       "PV1 Galia"
#define D_PV2_VOLTAGE     "PV2 Įtampa"
#define D_PV2_CURRENT     "PV2 Srovė"
#define D_PV2_POWER       "PV2 Galia"
#define D_SOLAR_POWER     "Saulės energija"
#define D_INVERTER_POWER  "Keitiklio galia"
#define D_STATUS          "Būsena"
#define D_SOLAX_MODE_0    "Laukiama"
#define D_SOLAX_MODE_1    "Tikrinama"
#define D_SOLAX_MODE_2    "Veikia"
#define D_SOLAX_MODE_3    "Klaida"
#define D_SOLAX_MODE_4    "Pastovi klaida"
#define D_SOLAX_MODE_5    "Programinės įrangos atnaujinimas"
#define D_SOLAX_MODE_6    "Savarankiškas testas"
#define D_SOLAX_ERROR_0   "Be klaidų"
#define D_SOLAX_ERROR_1   "Tinklo praradimo klaida"
#define D_SOLAX_ERROR_2   "Tinklo įtampos klaida"
#define D_SOLAX_ERROR_3   "Tinklo dažnio klaida"
#define D_SOLAX_ERROR_4   "PV Įtampa per aukšta"
#define D_SOLAX_ERROR_5   "PV Izoliacijos klaida"
#define D_SOLAX_ERROR_6   "Per aukšta temperatūra"
#define D_SOLAX_ERROR_7   "Ventiliatoriaus klaida"
#define D_SOLAX_ERROR_8   "Kitų įrenginių klaida"

//xdrv_10_scripter.ino
#define D_CONFIGURE_SCRIPT     "Koreguoti skriptą"
#define D_SCRIPT               "koreguoti skriptą"
#define D_SDCARD_UPLOAD        "failų įkelimas"
#define D_UFSDIR               "ufs direktorija"
#define D_UPL_DONE             "Baigta"
#define D_SCRIPT_CHARS_LEFT    "liko simbolių"
#define D_SCRIPT_CHARS_NO_MORE "daugiau jokių simbolių"
#define D_SCRIPT_DOWNLOAD      "Atsisiųsti"
#define D_SCRIPT_ENABLE        "Skriptas įjungtas"
#define D_SCRIPT_UPLOAD        "Įkelti"
#define D_SCRIPT_UPLOAD_FILES  "Įkelti failus"

//xdrv_50_filesystem.ino
#define D_MANAGE_FILE_SYSTEM   "Valdyti failų sistemą"
#define D_FS_SIZE              "Dydis"
#define D_FS_FREE              "Laisva"
#define D_NEW_FILE             "naujasfailas.txt"
#define D_CREATE_NEW_FILE      "Sukurti ir koreguoti naują failą"
#define D_EDIT_FILE            "Koreguoti failą"
#define D_CONFIRM_FILE_DEL     "Patvirtinti failo ištrinimą"
#define D_SHOW_HIDDEN_FILES    "Parodyti paslėptus failus"

//xsns_67_as3935.ino
#define D_AS3935_GAIN "gain:"
#define D_AS3935_ENERGY "energy:"
#define D_AS3935_DISTANCE "distance:"
#define D_AS3935_DISTURBER "disturber:"
#define D_AS3935_VRMS "µVrms:"
#define D_AS3935_APRX "aprx.:"
#define D_AS3935_AWAY "away"
#define D_AS3935_LIGHT "lightning"
#define D_AS3935_OUT "lightning out of range"
#define D_AS3935_NOT "distance not determined"
#define D_AS3935_ABOVE "lightning overhead"
#define D_AS3935_NOISE "noise detected"
#define D_AS3935_DISTDET "disturber detected"
#define D_AS3935_INTNOEV "Interrupt with no Event!"
#define D_AS3935_FLICKER "IRQ Pin flicker!"
#define D_AS3935_POWEROFF "Powerd Off"
#define D_AS3935_NOMESS "listening..."
#define D_AS3935_ON "On"
#define D_AS3935_OFF "Off"
#define D_AS3935_INDOORS "Indoors"
#define D_AS3935_OUTDOORS "Outdoors"
#define D_AS3935_CAL_FAIL "calibration failed"
#define D_AS3935_CAL_OK "calibration set to:"

//xsns_68_opentherm.ino
#define D_SENSOR_BOILER_OT_RX   "OpenTherm RX"
#define D_SENSOR_BOILER_OT_TX   "OpenTherm TX"

// xnrg_15_teleinfo Denky (Teleinfo)
#define D_CONTRACT        "Sutartis"
#define D_POWER_LOAD      "Galios apkrova"
#define D_CURRENT_TARIFF  "Dabartinis tarifas"
#define D_TARIFF          "Tarifas"
#define D_OVERLOAD        "Perkrova"
#define D_MAX_POWER       "Maksimali galia"
#define D_MAX_CURRENT     "Maksimali srovė"

// xsns_79_as608.ino
#define D_FP_ENROLL_PLACEFINGER "Pridėkite pirštą"
#define D_FP_ENROLL_REMOVEFINGER "Patraukite pirštą"
#define D_FP_ENROLL_PLACESAMEFINGER "Ir vėl pridėkite tą patį pirštą"
#define D_FP_ENROLL_RETRY "Klaida, bandykite dar kartą"
#define D_FP_ENROLL_RESTART "Paleisti iš naujo"
#define D_FP_ENROLL_ERROR "Klaida"
#define D_FP_ENROLL_RESET "Atstatyti"
#define D_FP_ENROLL_ACTIVE "Aktyvus"
#define D_FP_ENROLL_INACTIVE "Neaktyvus"
// Indexed by Adafruit_Fingerprint.h defines
#define D_FP_PACKETRECIEVEERR "Komunikacijos klaida"    // 0x01 Error when receiving data package
#define D_FP_NOFINGER ""                                // 0x02 No finger on the sensor
#define D_FP_IMAGEFAIL "Atvaizdavimo klaida"           // 0x03 Failed to enroll the finger
#define D_FP_IMAGEMESS "Antspaudas per daug iškreiptas"    // 0x06 Failed to generate character file due to overly disorderly fingerprint image
#define D_FP_FEATUREFAIL "Piršto antspaudas per mažas"          // 0x07 Failed to generate character file due to the lack of character point or small fingerprint image
#define D_FP_NOMATCH "Nesutampa"                      // 0x08 Finger doesn't match
#define D_FP_NOTFOUND "Atitikmens nerasta"            // 0x09 Failed to find matching finger
#define D_FP_ENROLLMISMATCH "Pirštų antspaudai nesutampa" // 0x0A Failed to combine the character files
#define D_FP_BADLOCATION "Neteisinga vieta"           // 0x0B Addressed PageID is beyond the finger library
#define D_FP_DBRANGEFAIL "DB diapazono klaida"        // 0x0C Error when reading template from library or invalid template
#define D_FP_UPLOADFEATUREFAIL "Įkėlimo funkcijos klaida" // 0x0D Error when uploading template
#define D_FP_PACKETRESPONSEFAIL "Paketo atsako klaida" // 0x0E Module failed to receive the following data packages
#define D_FP_UPLOADFAIL "Įkėlimo klaida"             // 0x0F Error when uploading image
#define D_FP_DELETEFAIL "Naikinimo klaida"           // 0x10 Failed to delete the template
#define D_FP_DBCLEARFAIL "DB išvalymo klaida"        // 0x11 Failed to clear finger library
#define D_FP_PASSFAIL "Slaptažodžio klaida"          // 0x13 Find whether the fingerprint passed or failed
#define D_FP_INVALIDIMAGE "Neleistinas antspaudas"    // 0x15 Failed to generate image because of lac of valid primary image
#define D_FP_FLASHERR "Flash rašymo klaida"          // 0x18 Error when writing flash
#define D_FP_INVALIDREG "Neteisingas numeris"        // 0x1A Invalid register number
#define D_FP_ADDRCODE "Adreso kodas"                 // 0x20 Address code
#define D_FP_PASSVERIFY "Slaptažodis patvirtintas"   // 0x21 Verify the fingerprint passed
#define D_FP_UNKNOWNERROR "Klaida"                   // Any other error

// xsns_90_hrg15.ino
#define D_HRG_VALID "Galiojantis"
#define D_HRG_ACTIVE "Aktyvus"
#define D_HRG_EVENT "Įvykis"
#define D_HRG_TOTAL "Viso"
#define D_HRG_FLOWRATE "Tėkmės greitis"

// xsns_96_flowratemeter.ino
#define D_FLOWRATEMETER_NAME "Tėkmės greitis"
#define D_FLOWRATEMETER_AMOUNT_TODAY "Kiekis šiandien"
#define D_FLOWRATEMETER_DURATION_TODAY "Trukmė šiandien"

// xsns_83_neopool.ino
#define D_NEOPOOL_MACH_NONE               "NeoPool"           // Machine names
#define D_NEOPOOL_MACH_HIDROLIFE          "Hidrolife"
#define D_NEOPOOL_MACH_AQUASCENIC         "Aquascenic"
#define D_NEOPOOL_MACH_OXILIFE            "Oxilife"
#define D_NEOPOOL_MACH_BIONET             "Bionet"
#define D_NEOPOOL_MACH_HIDRONISER         "Hidroniser"
#define D_NEOPOOL_MACH_UVSCENIC           "UVScenic"
#define D_NEOPOOL_MACH_STATION            "Station"
#define D_NEOPOOL_MACH_BRILIX             "Brilix"
#define D_NEOPOOL_MACH_GENERIC            "Generic"
#define D_NEOPOOL_MACH_BAYROL             "Bayrol"
#define D_NEOPOOL_MACH_HAY                "Hay"
#define D_NEOPOOL_FILTRATION_MANUAL       "Rankinis"            // Filtration modes
#define D_NEOPOOL_FILTRATION_AUTO         "Automatinis"
#define D_NEOPOOL_FILTRATION_HEATING      "Šildymas"
#define D_NEOPOOL_FILTRATION_SMART        "Išmanus"
#define D_NEOPOOL_FILTRATION_INTELLIGENT  "Protingas"
#define D_NEOPOOL_FILTRATION_BACKWASH     "Atgalinis valymas"
#define D_NEOPOOL_FILTRATION_NONE         ""                  // Filtration speed level
#define D_NEOPOOL_FILTRATION_SLOW         "lėtas"
#define D_NEOPOOL_FILTRATION_MEDIUM       "vidutinis"
#define D_NEOPOOL_FILTRATION_FAST         "greitas"
#define D_NEOPOOL_TYPE                    "Tipas"              // Sensor & relais names
#define D_NEOPOOL_REDOX                   "Redox"
#define D_NEOPOOL_CHLORINE                "Chloras"
#define D_NEOPOOL_CONDUCTIVITY            "Laidumas"
#define D_NEOPOOL_IONIZATION              "Ionization"
#define D_NEOPOOL_HYDROLYSIS              "Hidrolizė"
#define D_NEOPOOL_RELAY                   "Relė"
#define D_NEOPOOL_RELAY_FILTRATION        "Filtravimas"        // Relay assignment
#define D_NEOPOOL_RELAY_LIGHT             "Šviesa"
#define D_NEOPOOL_RELAY_PH_ACID           "Rūgšties siurblys"
#define D_NEOPOOL_RELAY_PH_BASE           "Bazės siurblys"
#define D_NEOPOOL_RELAY_RX                "Redox lygis"
#define D_NEOPOOL_RELAY_CL                "Chloro siurblys"
#define D_NEOPOOL_RELAY_CD                "Laidumas"
#define D_NEOPOOL_RELAY_HEATING           "Šildymas"
#define D_NEOPOOL_RELAY_UV                "UV"
#define D_NEOPOOL_RELAY_VALVE             "Vožtuvas"
#define D_NEOPOOL_RELAY_AUX               "Aux"
#define D_NEOPOOL_TIME                    "Laikas"
#define D_NEOPOOL_FILT_MODE               "Filtravimo režimas"
#define D_NEOPOOL_CELL_RUNTIME            "Cell runtime"
#define D_NEOPOOL_POLARIZATION            "Pol"               // Sensor status
#define D_NEOPOOL_PR_OFF                  "PrIšjungta"
#define D_NEOPOOL_SETPOINT_OK             "Gerai"
#define D_NEOPOOL_COVER                   "Uždangalas"
#define D_NEOPOOL_SHOCK                   "Stiprintuvas"
#define D_NEOPOOL_STATUS_ON               "Įjungta"
#define D_NEOPOOL_STATUS_OFF              "Išjungta"
#define D_NEOPOOL_STATUS_WAIT             "LAUKIA"
#define D_NEOPOOL_STATUS_TANK             "BAKAS"
#define D_NEOPOOL_STATUS_FLOW             "Srautas"
#define D_NEOPOOL_LOW                     "Mažas"
#define D_NEOPOOL_FLOW1                   "FL1"
#define D_NEOPOOL_FLOW2                   "FL2"
#define D_NEOPOOL_PH_HIGH                 "per didelis"          // ph Alarms
#define D_NEOPOOL_PH_LOW                  "per mažas"
#define D_NEOPOOL_PUMP_TIME_EXCEEDED      "siurblio veikimo laikas viršytas"

// xsns_106_gdk101.ino
#define D_AVG_RAD_DOSE                    "Vidutinė radiacijos dozė"
#define D_UNIT_US_H                       "µSv/h"

// ixrv92_pipsolar.ino
#define D_SENSOR_PIPSOLAR_TX             "Pipsolar TX"
#define D_SENSOR_PIPSOLAR_RX             "Pipsolar RX"

// xsns_102_ld2410.ino
#define D_MOVING_DISTANCE "Besikeičiantis atstumas"
#define D_STATIC_DISTANCE "Statinis atstumas"
#define D_DETECT_DISTANCE "Detect Distance"
#define D_MOVING_ENERGY_T "Judantis objektas"
#define D_STATIC_ENERGY_T "Statinis objektas"
#define D_LD2410_PIN_STATE "Išvesties kontakto būsena"
#define D_LD2410_LIGHT "Šviesos sensorius"

// xsns_115_wooliis.ino
#define D_IMPORT                          "Importuoti"
#define D_EXPORT                          "Eksportuoti"
#define D_CHARGING                        "Kraunasi"
#define D_CAPACITY                        "Talpa"

#endif  // _LANGUAGE_LT_LT_H_
